Subject: Re: Remove support for old realpath() API

From: Tom Lane <[email-masked]>
Date: Mon, 12 Aug 2024 10:35:48 -0400

I wrote:
> Peter Eisentraut <[email-masked]> writes:
>> Tom had tested this on and found that it does actually work on AIX 7.1 
>> and 7.3 but the documentation is wrong.

> I too have a distinct recollection of having tested this (using the
> gcc compile farm machines), but I cannot find anything saying so in
> the mailing list archives.  I can go check it again, I guess.

I can confirm that the attached program works on cfarm111 (AIX 7.1)
and cfarm119 (AIX 7.3), though "man realpath" denies it on both
systems.

I also found leftover test files demonstrating that I checked this
same point on Apr 26 2024, so I'm not sure why that didn't turn up
in a mail list search.

			regards, tom lane

#include <stdio.h>
#include <stdlib.h>

int
main(int argc, char **argv)
{
	char *pth = realpath(argv[1], NULL);

	if (pth)
	{
		printf("successfully resolved \"%s\" as \"%s\"\n",
			   argv[1], pth);
		free(pth);
	}
	else
		perror("realpath");
	return 0;
}